Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class EventItemsFactory

    java.lang.Object
      org.eclipse.hyades.logging.events.EventItemsFactory

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public final class EventItemsFactory
extends java.lang.Object

Utility class to create event items.

Since:
  1.0
Version:
  1.0.1

Constructor Summary
`EventItemsFactory()` Deprecated.

Method Summary
`static IAssociatedEvent` | `createIAssociatedEvent(ICommonBaseEvent[] resolvedEvents, IAssociationEngine associationEngineInfo)` Deprecated. Create a new IAssociatedEvent item.
`static IAssociatedEvent` | `createIAssociatedEvent(java.lang.String associationEngine, ICommonBaseEvent[] resolvedEvents)` Deprecated. Use the createIAssociatedEvent(ICommonBaseEvent[], IAssociationEngine) as of 1.0.1.
`static IAssociatedEvent` | `createIAssociatedEvent(java.lang.String associationEngine, ICommonBaseEvent[] resolvedEvents, IAssociationEngine associationEngineInfo)` Deprecated. Use the createIAssociatedEvent(ICommonBaseEvent[], IAssociationEngine) as of 1.0.1.
`static ICommonBaseEventAnyElement` | `createICommonBaseEventAnyElement(java.lang.String anyElement, java.lang.String nameSpace)` Deprecated. Use the otherData as of 1.0.1.
`static IComponentIdentification` | `createIComponentIdentification(java.lang.String componentIdType, java.lang.String component, java.lang.String subComponent, java.lang.String locationType, java.lang.String location, java.lang.String application, java.lang.String executionEnv, java.lang.String instanceId, java.lang.String processId, java.lang.String threadId)` Deprecated. Use the createIComponentIdentification(String, String, String, String, String, String, String, String, String, String,String) as of 1.0.1.
`static IComponentIdentification` | `createIComponentIdentification(java.lang.String componentIdType, java.lang.String component, java.lang.String subComponent, java.lang.String locationType, java.lang.String location, java.lang.String application, java.lang.String executionEnv, java.lang.String instanceId, java.lang.String processId, java.lang.String threadId, java.lang.String componentType)` Deprecated. Create a new IComponentIdentification item.
`static IContextDataElement` | `createIContextDataElementById(java.lang.String name, java.lang.String type, java.lang.String id)` Deprecated. Create a new IContextDataElement item (using a context Id).
`static IContextDataElement` | `createIContextDataElementByValue(java.lang.String name, java.lang.String type, java.lang.String value)` Deprecated. Create a new IContextDataElement item (using a context value).
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, boolean[] boolValues, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from an array of boolean values.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, boolean isHexBinary, byte[] byteValues, IExtendedDataElement[] children)` Deprecated. Replaced by the createIExtendedDataElement() APIs which takes a parameter character or byte array.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, boolean boolValue, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from a single boolean value.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, byte[] byteValues, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from an array of byte values.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, byte byteValue, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from a single byte value.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, char[] charValues, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from an array of byte values.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, java.util.Date[] dateTimeValues, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from an array of date/time values.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, java.util.Date dateTimeValue, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from a single date/time value.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, double[] doubleValues, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from an array of double-precision values.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, double doubleValue, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from a double-precision value.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, float[] floatValues, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from an array of floating-point values.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, float floatValue, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from a single floating-point value.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, int[] intValues, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from an array of integer values.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, int intValue, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from a single integer value.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, long[] longValues, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from an array of long integer values.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, long longValue, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from a single long integer value.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, short[] shortValues, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from an array of short integer values.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, short shortValue, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from a single short integer value.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, java.lang.String[] stringValues, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from an array of string values.
`static IExtendedDataElement` | `createIExtendedDataElement(java.lang.String name, java.lang.String stringValue, IExtendedDataElement[] children)` Deprecated. Create a new IExtendedDataElement item from a single string value.
`static IMsgDataElement` | `createIMsgDataElement(java.lang.String msgIdType, java.lang.String msgId, java.lang.String msgLocale, java.lang.String msgCatalog, java.lang.String msgCatalogType, java.lang.String msgCatalogId, IMsgCatalogToken[] msgCatalogTokens)` Deprecated.
`static IMsgDataElement` | `createIMsgDataElement(java.lang.String msgIdType, java.lang.String msgId, java.lang.String msgLocale, java.lang.String msgCatalog, java.lang.String msgCatalogType, java.lang.String msgCatalogId, java.lang.String[] msgCatalogTokens)` Deprecated. Create a new IMsgDataElement item.
`static ISituation` | `createISituation(java.lang.String categoryName, ISituationType situationType)` Deprecated. Create a new ISituation item.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventItemsFactory

    public EventItemsFactory()

  Deprecated.

Method Detail

### createIComponentIdentification

    public static IComponentIdentification createIComponentIdentification(java.lang.String componentIdType,
                                                                          java.lang.String component,
                                                                          java.lang.String subComponent,
                                                                          java.lang.String locationType,
                                                                          java.lang.String location,
                                                                          java.lang.String application,
                                                                          java.lang.String executionEnv,
                                                                          java.lang.String instanceId,
                                                                          java.lang.String processId,
                                                                          java.lang.String threadId)
                                                                   throws MissingValueException,
                                                                          ValueTooLongException

  Deprecated. Use the createIComponentIdentification(String, String, String, String, String, String, String, String, String, String,String) as of 1.0.1.

  Create a new IComponentIdentification item.

  Parameters:
    `componentIdType` - The format of the component. The currently defined keywords for this property are:
    - ProductName
    - DeviceName
    - SystemName
    - ServiceName
    - Process
    - Application
    - Unknown

    The value MUST NOT exceed 32 bytes in length. The default value is 'Unknown'.

    `component` - The logical name of a component. This property MUST contain the name of a particular application, product, or subsystem (e.g., IBM DB2# V7.1), and SHOULD also be unique within the scope specified by the location. Component version information may be appended to the end of this value, separated by a '#' character. The value MUST NOT exceed 255 bytes in length.
    `subComponent` - The logical name of a subcomponent within a component. This property can be one of the various parts of an application or OS resource e.g., a module name, class and method name, etc. It should be the most granular definition specified in the event. Subcomponent version information may be appended to the end of this value, separated by a '#' character. The value MUST NOT exceed 255 bytes in length.
    `locationType` - The format of the location. The currently defined keywords for this property are:
    - Unknown
    - IPV4
    - IPV6
    - NWA
    - ISDN
    - ICD
    - OID/OSI
    - Dial
    - HWA
    - HID
    - X25
    - DCC
    - SNA
    - IPX
    - E.164
    - Hostname
    - FQHostname
    - Devicename

    The value MUST NOT exceed 32 bytes in length. The default value is 'Unknown'.

    `location` - The physical address where an appliction is running, such as a hostname, IP address, or VTAM LU. The format should match the type specified by `locationType`. The value MUST NOT exceed 255 bytes in length.
    `application` - The optional name of the application (e.g, "myWebApp"). Application version information may be appended to the end of this value, separated by a '#' character. The value MUST NOT exceed 255 bytes in length.
    `executionEnv` - The optional name of the environment an application is running in. For example, a WebSphere Application Server might use "name:cell:node:server". Execution environment version information may be appended to the end of this value, separated by a '#' character. The value MUST NOT exceed 255 bytes in length.
    `instanceId` - An optional identifier for the currently running instance (such as an EJB handle or Grid Service Handle). The value MUST NOT exceed 128 bytes in length.
    `processId` - An optional identifier for the currently running process. The value MUST NOT exceed 64 bytes in length.
    `threadId` - An optional identifier for the current thread within the process. The value MUST NOT exceed 64 bytes in length.
  Returns:
    The new `IComponentIdentification` object.
  Throws:
    `MissingValueException` - Thrown if any of the required component, subComponent, componentIdType, location, or locationType parameters are not specified.
    `ValueTooLongException` - Thrown if any parameter's value exceeds the maximum length specified above.

### createIComponentIdentification

    public static IComponentIdentification createIComponentIdentification(java.lang.String componentIdType,
                                                                          java.lang.String component,
                                                                          java.lang.String subComponent,
                                                                          java.lang.String locationType,
                                                                          java.lang.String location,
                                                                          java.lang.String application,
                                                                          java.lang.String executionEnv,
                                                                          java.lang.String instanceId,
                                                                          java.lang.String processId,
                                                                          java.lang.String threadId,
                                                                          java.lang.String componentType)
                                                                   throws MissingValueException,
                                                                          ValueTooLongException

  Deprecated.
  Create a new IComponentIdentification item.

  Parameters:
    `componentIdType` - The format of the component. The currently defined keywords for this property are:
    - ProductName
    - DeviceName
    - SystemName
    - ServiceName
    - Process
    - Application
    - Unknown

    The value MUST NOT exceed 32 bytes in length. The default value is 'Unknown'.

    `component` - The logical name of a component. This property MUST contain the name of a particular application, product, or subsystem (e.g., IBM DB2# V7.1), and SHOULD also be unique within the scope specified by the location. Component version information may be appended to the end of this value, separated by a '#' character. The value MUST NOT exceed 255 bytes in length.
    `subComponent` - The logical name of a subcomponent within a component. This property can be one of the various parts of an application or OS resource e.g., a module name, class and method name, etc. It should be the most granular definition specified in the event. Subcomponent version information may be appended to the end of this value, separated by a '#' character. The value MUST NOT exceed 255 bytes in length.
    `locationType` - The format of the location. The currently defined keywords for this property are:
    - Unknown
    - IPV4
    - IPV6
    - NWA
    - ISDN
    - ICD
    - OID/OSI
    - Dial
    - HWA
    - HID
    - X25
    - DCC
    - SNA
    - IPX
    - E.164
    - Hostname
    - FQHostname
    - Devicename

    The value MUST NOT exceed 32 bytes in length. The default value is 'Unknown'.

    `location` - The physical address where an appliction is running, such as a hostname, IP address, or VTAM LU. The format should match the type specified by `locationType`. The value MUST NOT exceed 255 bytes in length.
    `application` - The optional name of the application (e.g, "myWebApp"). Application version information may be appended to the end of this value, separated by a '#' character. The value MUST NOT exceed 255 bytes in length.
    `executionEnv` - The optional name of the environment an application is running in. For example, a WebSphere Application Server might use "name:cell:node:server". Execution environment version information may be appended to the end of this value, separated by a '#' character. The value MUST NOT exceed 255 bytes in length.
    `instanceId` - An optional identifier for the currently running instance (such as an EJB handle or Grid Service Handle). The value MUST NOT exceed 128 bytes in length.
    `processId` - An optional identifier for the currently running process. The value MUST NOT exceed 64 bytes in length.
    `threadId` - An optional identifier for the current thread within the process. The value MUST NOT exceed 64 bytes in length.
    `componentType` - The componentType is a well-defined name that is used to characterize all instances of a given kind of component. This property is REQUIRED property. The maximum string length for componentType MUST NOT exceed 512 characters.
  Returns:
    The new `IComponentIdentification` object.
  Throws:
    `MissingValueException` - Thrown if any of the required component, subComponent, componentIdType, location, or locationType parameters are not specified.
    `ValueTooLongException` - Thrown if any parameter's value exceeds the maximum length specified above.
  Since:
    1.0.1

### createIContextDataElementById

    public static IContextDataElement createIContextDataElementById(java.lang.String name,
                                                                    java.lang.String type,
                                                                    java.lang.String id)
                                                             throws MissingValueException

  Deprecated.
  Create a new IContextDataElement item (using a context Id).

  Parameters:
    `name` - The Name of the application that is creating this context data element.
    `type` - The data type of the contextValue property.
    `id` - A reference to the element that contains the context.
  Returns:
    A new IContextDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name, type, or id is not specified.

### createIContextDataElementByValue

    public static IContextDataElement createIContextDataElementByValue(java.lang.String name,
                                                                       java.lang.String type,
                                                                       java.lang.String value)
                                                                throws MissingValueException

  Deprecated.
  Create a new IContextDataElement item (using a context value).

  Parameters:
    `name` - The Name of the application that is creating this context data element.
    `type` - The data type of the contextValue property.
    `value` - The value of the context with respect to the context implementation.
  Returns:
    A new IContextDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name, type, or value is not specified.

### createICommonBaseEventAnyElement

    public static ICommonBaseEventAnyElement createICommonBaseEventAnyElement(java.lang.String anyElement,
                                                                              java.lang.String nameSpace)
                                                                       throws MissingValueException,
                                                                              InvalidXMLAnyElementException

  Deprecated. Use the otherData as of 1.0.1.

  Create a new ICommonBaseEventAnyElement item (using a XML element represented as a String).

  Parameters:
    `anyElement` - An element to be stored as a any element.
    `nameSpace` - The name space that the element is constrained by
  Returns:
    A new ICommonBaseEventAnyElement with the specified settings.
  Throws:
    `MissingValueException`
    `InvalidXMLAnyElementException`

### createIAssociatedEvent

    public static IAssociatedEvent createIAssociatedEvent(java.lang.String associationEngine,
                                                          ICommonBaseEvent[] resolvedEvents)
                                                   throws MissingValueException

  Deprecated. Use the createIAssociatedEvent(ICommonBaseEvent[], IAssociationEngine) as of 1.0.1.

  Create a new IAssociatedEvent item. Also starts the specified association engine (if not already running).

  Parameters:
    `associationEngine` - The association engine's reference.
    `resolvedEvents` - An array of events associated with this one.
  Returns:
    The new `IAssociatedEvent` object.
  Throws:
    `MissingValueException` - Thrown if the association engine or resolved events are not specified.

### createIAssociatedEvent

    public static IAssociatedEvent createIAssociatedEvent(java.lang.String associationEngine,
                                                          ICommonBaseEvent[] resolvedEvents,
                                                          IAssociationEngine associationEngineInfo)
                                                   throws MissingValueException

  Deprecated. Use the createIAssociatedEvent(ICommonBaseEvent[], IAssociationEngine) as of 1.0.1.

  Create a new IAssociatedEvent item. Also starts the specified association engine (if not already running).

  Parameters:
    `associationEngine` - The association engine's reference.
    `associationEngineInfo` - The association engine.
    `resolvedEvents` - An array of events associated with this one.
  Returns:
    The new `IAssociatedEvent` object.
  Throws:
    `MissingValueException` - Thrown if the association engine or resolved events are not specified.

### createIAssociatedEvent

    public static IAssociatedEvent createIAssociatedEvent(ICommonBaseEvent[] resolvedEvents,
                                                          IAssociationEngine associationEngineInfo)
                                                   throws MissingValueException

  Deprecated.
  Create a new IAssociatedEvent item. Also starts the specified association engine (if not already running).

  Parameters:
    `resolvedEvents` - An array of events associated with this one.
    `associationEngineInfo` - The association engine.
  Returns:
    The new `IAssociatedEvent` object.
  Throws:
    `MissingValueException` - Thrown if the association engine or resolved events are not specified.

### createIMsgDataElement

    public static IMsgDataElement createIMsgDataElement(java.lang.String msgIdType,
                                                        java.lang.String msgId,
                                                        java.lang.String msgLocale,
                                                        java.lang.String msgCatalog,
                                                        java.lang.String msgCatalogType,
                                                        java.lang.String msgCatalogId,
                                                        java.lang.String[] msgCatalogTokens)
                                                 throws MissingValueException,
                                                        ValueTooLongException

  Deprecated.
  Create a new IMsgDataElement item.

  Parameters:
    `msgIdType` - The format type used by msgId, such as "IBM", "JMX", "DottedName", etc. The type MUST NOT exceed 32 bytes.
    `msgId` - A unique message identifier, such as "DBT1234E", etc. This identifier MUST NOT exceed 255 bytes.
    `msgLocale` - An optional locale code used by the message. This should be an ISO/IEC 639.1 language code, followed by an optional underscore and ISO/IEC 3166 country code. The locale MUST NOT exceed 5 bytes.
    `msgCatalog` - An optional name of a catalog containing translations of the message text. The name MUST NOT exceed 128 bytes.
    `msgCatalogType` - The type of message catalog, such as "Java" or "XPG". This is required if a message catalog is specified.
    `msgCatalogId` - The index or identifier for the message within a message catalog. This is required if a message catalog is specified.
    `msgCatalogTokens` - An optional array of string values to be substituted into the formatted message text at display time.
  Returns:
    The new `IMsgDataElement` object.
  Throws:
    `MissingValueException` - Thrown if the msgId or msgIdType are not specified; or if a message catalog is specified but not the catalog type or catalog id; or if a catalog type or catalog id is specified but not a message catalog.
    `ValueTooLongException` - Thrown if any parameter's value exceeds the maximum length specified above.

### createIMsgDataElement

    public static IMsgDataElement createIMsgDataElement(java.lang.String msgIdType,
                                                        java.lang.String msgId,
                                                        java.lang.String msgLocale,
                                                        java.lang.String msgCatalog,
                                                        java.lang.String msgCatalogType,
                                                        java.lang.String msgCatalogId,
                                                        IMsgCatalogToken[] msgCatalogTokens)
                                                 throws MissingValueException,
                                                        ValueTooLongException

  Deprecated.
  Throws:
    `MissingValueException`
    `ValueTooLongException`

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  boolean boolValue,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from a single boolean value.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `boolValue` - The boolean value for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  byte byteValue,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from a single byte value.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `byteValue` - The byte value for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  short shortValue,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from a single short integer value.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `shortValue` - The short integer value for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  int intValue,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from a single integer value.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `intValue` - The integer value for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  long longValue,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from a single long integer value.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `longValue` - The long integer value for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  float floatValue,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from a single floating-point value.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `floatValue` - The floating-point value for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  double doubleValue,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from a double-precision value.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `doubleValue` - The double-precision value for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  java.lang.String stringValue,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from a single string value.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `stringValue` - The string value for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name or the string value is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  java.util.Date dateTimeValue,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from a single date/time value.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `dateTimeValue` - The date/time value for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name or the date/time value is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  boolean[] boolValues,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from an array of boolean values.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `boolValues` - An array of boolean values for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name or the array of values is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  boolean isHexBinary,
                                                                  byte[] byteValues,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated. Replaced by the createIExtendedDataElement() APIs which takes a parameter character or byte array.

  Throws:
    `MissingValueException`

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  byte[] byteValues,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from an array of byte values.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `byteValues` - An array of byte values for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name or the array of values is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  char[] charValues,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from an array of byte values.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `charValues` - An array of characters values for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name or the array of values is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  short[] shortValues,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from an array of short integer values.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `shortValues` - An array of short integer values for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name or the array of values is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  int[] intValues,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from an array of integer values.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `intValues` - An array of integer values for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name or the array of values is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  long[] longValues,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from an array of long integer values.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `longValues` - An array of long integer values for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name or the array of values is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  float[] floatValues,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from an array of floating-point values.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `floatValues` - An array of floating-point values for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name or the array of values is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  double[] doubleValues,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from an array of double-precision values.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `doubleValues` - An array of double-precision values for the element.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name or the array of values is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  java.lang.String[] stringValues,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from an array of string values.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name or the array of values is not specified.

### createIExtendedDataElement

    public static IExtendedDataElement createIExtendedDataElement(java.lang.String name,
                                                                  java.util.Date[] dateTimeValues,
                                                                  IExtendedDataElement[] children)
                                                           throws MissingValueException

  Deprecated.
  Create a new IExtendedDataElement item from an array of date/time values.

  Parameters:
    `name` - The name of the extended data element. This name MUST be unique with respect to all other fields in the event.
    `children` - An optional list of child elements for this item.
  Returns:
    A new IExtendedDataElement with the specified settings.
  Throws:
    `MissingValueException` - Thrown if the element name or the array of values is not specified.

### createISituation

    public static ISituation createISituation(java.lang.String categoryName,
                                              ISituationType situationType)
                                       throws MissingValueException,
                                              ValueTooLongException

  Deprecated.
  Create a new ISituation item.

  Parameters:
    `categoryName` - The categoryName specifies the type of the situation that caused the event to be reported. The categoryName is a string and has the following set of values: StartSituation StopSituation ConnectSituation ConfigureSituation RequestSituation FeatureSituation DependencySituation CreateSituation DestroySituation ReportSituation AvailableSituation OtherSituation This is a REQUIRED property. The string length for this property MUST NOT exceed 64 characters.
    `situationType` - The situationType specifies the type of the situation that caused the event to be reported. See SituationType definition for details. This is an REQUIRED property.
  Returns:
    The new `ISituation` object.
  Throws:
    `MissingValueException` - Thrown if the categoryName or situationType are not specified.
    `ValueTooLongException` - Thrown if categoryName's value exceeds the maximum length specified above.
  Since:
    1.0.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD